
package gunav2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class firebasemessaging implements IRemote{
	public static firebasemessaging mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public firebasemessaging() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("firebasemessaging"), "gunav2.keymon.com.mx.firebasemessaging");
	}
     public static RemoteObject getObject() {
		return myClass;
	 }
	public RemoteObject _service;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
        _service = (RemoteObject) args[2];
        remoteMe = RemoteObject.declareNull("gunav2.keymon.com.mx.firebasemessaging");
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[3];
		pcBA = new PCBA(this, firebasemessaging.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _fm = RemoteObject.declareNull("anywheresoftware.b4a.objects.FirebaseNotificationsService.FirebaseMessageWrapper");
public static RemoteObject _api_key = RemoteObject.createImmutable("");
public static RemoteObject _locrequest = RemoteObject.createImmutable("");
public static RemoteObject _pe = RemoteObject.declareNull("anywheresoftware.b4a.phone.PhoneEvents");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _gzip = RemoteObject.declareNull("de.donmanfred.GZipStringswrapper");
public static RemoteObject _sprvsr = RemoteObject.createImmutable("");
public static RemoteObject _subscrito = RemoteObject.createImmutable("");
public static RemoteObject _au = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static gunav2.keymon.com.mx.main _main = null;
public static gunav2.keymon.com.mx.starter _starter = null;
public static gunav2.keymon.com.mx.subs _subs = null;
public static gunav2.keymon.com.mx.appupdater _appupdater = null;
public static gunav2.keymon.com.mx.tracker _tracker = null;
public static gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public static gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public static gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public static gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"API_KEY",firebasemessaging._api_key,"appUpdater",Debug.moduleToString(gunav2.keymon.com.mx.appupdater.class),"au",firebasemessaging._au,"B4XCollections",Debug.moduleToString(gunav2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(gunav2.keymon.com.mx.b4xpages.class),"c",firebasemessaging._c,"DateUtils",firebasemessaging.mostCurrent._dateutils,"fm",firebasemessaging._fm,"GZip",firebasemessaging._gzip,"HttpUtils2Service",Debug.moduleToString(gunav2.keymon.com.mx.httputils2service.class),"locRequest",firebasemessaging._locrequest,"Main",Debug.moduleToString(gunav2.keymon.com.mx.main.class),"MAPA_RUTAS",Debug.moduleToString(gunav2.keymon.com.mx.mapa_rutas.class),"newinst2",Debug.moduleToString(gunav2.keymon.com.mx.newinst2.class),"pe",firebasemessaging._pe,"Service",firebasemessaging.mostCurrent._service,"Sprvsr",firebasemessaging._sprvsr,"Starter",Debug.moduleToString(gunav2.keymon.com.mx.starter.class),"Subs",Debug.moduleToString(gunav2.keymon.com.mx.subs.class),"Subscrito",firebasemessaging._subscrito,"Tracker",Debug.moduleToString(gunav2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(gunav2.keymon.com.mx.xuiviewsutils.class)};
}
}